<?
require('conexion.php');

header('Content-Type: text/xml');//le digo al browser que es un documento xml
echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';//le coloco la version de xml y a codificacion



$nombre = strtoupper($_GET['nombre']);
$email = $_GET['email'];
$telefono = $_GET['telefono'];
$codigo_postal = $_GET['codigo_postal'];

$provincia = substr($codigo_postal,0,strlen($codigo_postal)-3);

$email_tabla = eregi_replace("@","#",$email);

$fecha_pre1 = date('Y-m-d');

$ultmodi = date('YmdH:i');


//comprobamos que no esta en potenciales
$rsql = "SELECT * FROM POTENCIALES WHERE (EMAIL like '$email_tabla')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$num_results = odbc_fetch_row($results);
if ($num_results>=1) {
	//ya existe
	echo '<datos>';
	echo '<respuesta>2</respuesta>';
	echo '</datos>';
}
else {
	//lo suscribimos y respondemos 1
	$rsql="Select max(NUMERO) from POTENCIALES WHERE NUMERO like '00%'";

			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			
			$num_potencial = odbc_result($results,1) + 1;
			
			//$registro = ComprobarRegistro('POTENCIALES',$num_potencial);
			
			$num_potencial = str_repeat('0',7-strlen($num_potencial)).$num_potencial;
			
$tsql =  "INSERT INTO POTENCIALES (NUMERO,NOMBRE,CP,PROVINCIA,MOVIL,EMAIL,ALTA,SUBLICEN,OFICINA,ULTMODI,USUARIO,ORIGEN,EMPRESA,USU_CREA) VALUES ('$num_potencial','".strtoupper($nombre)."','$codigo_postal','$provincia','+34 ".$telefono."','".$email_tabla."','$fecha_pre1','00','C1','$ultmodi','WB','2','00','WB')";
$results=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));
	
	
	echo '<datos>';
echo '<respuesta>1</respuesta>';
echo '</datos>';
}

//echo '</xml>';

?>